- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# VstMidiSysexEvent Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
VstInt32 | type
| kVstSysexType
VstInt32 | byteSize
| sizeof (VstMidiSysexEvent)
VstInt32 | deltaFrames
| sample frames related to the current block start sample position
VstInt32 | flags
| none defined yet (should be zero)
VstInt32 | dumpBytes
| byte size of sysexDump
VstIntPtr | resvd1
| zero (Reserved for future use)
char * | sysexDump
| sysex dump
VstIntPtr | resvd2
| zero (Reserved for future use)

## Detailed Description

MIDI Sysex Event (to be casted from VstEvent).

## Member Data Documentation

VstInt32 VstMidiSysexEvent::byteSize

sizeof (VstMidiSysexEvent)

VstInt32 VstMidiSysexEvent::deltaFrames

sample frames related to the current block start sample position

VstInt32 VstMidiSysexEvent::dumpBytes

byte size of sysexDump

VstInt32 VstMidiSysexEvent::flags

none defined yet (should be zero)

VstIntPtr VstMidiSysexEvent::resvd1

zero (Reserved for future use)

VstIntPtr VstMidiSysexEvent::resvd2

zero (Reserved for future use)

char* VstMidiSysexEvent::sysexDump

sysex dump

VstInt32 VstMidiSysexEvent::type

kVstSysexType

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.